## CongDocumentTraversal

CongDocumentTraversal —

## Synopsis

    struct      CongDocumentTraversal;
    #define     CONG_DOCUMENT_TRAVERSAL         (obj)
    #define     CONG_DOCUMENT_TRAVERSAL_CLASS   (klass)
    #define     IS_CONG_DOCUMENT_TRAVERSAL      (obj)
    GType       cong_document_traversal_get_type
                                                (void);
    CongDocumentTraversal* cong_document_traversal_construct
                                                (CongDocumentTraversal *doc_traversal,
                                                 CongDocument *doc);
    CongDocumentTraversal* cong_document_traversal_new
                                                (CongDocument *doc);
    CongDocument* cong_document_traversal_get_document
                                                (CongDocumentTraversal *doc_traversal);
    CongTraversalNode* cong_document_traversal_get_root_traversal_node
                                                (CongDocumentTraversal *doc_traversal);
    void        cong_document_traversal_for_each_traversal_node
                                                (CongDocumentTraversal *doc_traversal,
                                                 CongNodePtr xml_node,
                                                 void (*callback) (CongDocumentTraversal *doc_traversal,CongTraversalNode *traversal_node,gpointer user_data),
                                                 gpointer user_data);
    gboolean    cong_document_traversal_has_traversal_node_for_node
                                                (CongDocumentTraversal *doc_traversal,
                                                 CongNodePtr node);
    CongTraversalNode* cong_document_traversal_get_traversal_node
                                                (CongDocumentTraversal *doc_traversal,
                                                 CongNodePtr xml_node,
                                                 CongTraversalNode *traversal_parent);
    CongTraversalNode* cong_document_traversal_get_a_traversal_node
                                                (CongDocumentTraversal *doc_traversal,
                                                 CongNodePtr xml_node);

## Object Hierarchy

      GObject
       +----CongDocumentTraversal

## Signal Prototypes

    "traversal-node-added"
                void        user_function      (CongDocumentTraversal *congdocumenttraversal,
                                                gpointer arg1,
                                                gpointer user_data);
    "traversal-node-removed"
                void        user_function      (CongDocumentTraversal *congdocumenttraversal,
                                                gpointer arg1,
                                                gpointer user_data);

## Description

## Details

### struct CongDocumentTraversal

    struct CongDocumentTraversal;

### CONG_DOCUMENT_TRAVERSAL()

    #define CONG_DOCUMENT_TRAVERSAL(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_DOCUMENT_TRAVERSAL_TYPE, CongDocumentTraversal)

`obj` : |

### CONG_DOCUMENT_TRAVERSAL_CLASS()

    #define CONG_DOCUMENT_TRAVERSAL_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_DOCUMENT_TRAVERSAL_TYPE, CongDocumentTraversalClass)

`klass` : |

### IS_CONG_DOCUMENT_TRAVERSAL()

    #define IS_CONG_DOCUMENT_TRAVERSAL(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_DOCUMENT_TRAVERSAL_TYPE)

`obj` : |

### cong_document_traversal_get_type ()

    GType       cong_document_traversal_get_type
                                                (void);

Returns : |

### cong_document_traversal_construct ()

    CongDocumentTraversal* cong_document_traversal_construct
                                                (CongDocumentTraversal *doc_traversal,
                                                 CongDocument *doc);

TODO: Write me

`doc_traversal` : |
`doc` : |
Returns : |

### cong_document_traversal_new ()

    CongDocumentTraversal* cong_document_traversal_new
                                                (CongDocument *doc);

TODO: Write me

`doc` : |
Returns : |

### cong_document_traversal_get_document ()

    CongDocument* cong_document_traversal_get_document
                                                (CongDocumentTraversal *doc_traversal);

TODO: Write me

`doc_traversal` : |
Returns : |

### cong_document_traversal_get_root_traversal_node ()

    CongTraversalNode* cong_document_traversal_get_root_traversal_node
                                                (CongDocumentTraversal *doc_traversal);

TODO: Write me

`doc_traversal` : |
Returns : |

### cong_document_traversal_for_each_traversal_node ()

    void        cong_document_traversal_for_each_traversal_node
                                                (CongDocumentTraversal *doc_traversal,
                                                 CongNodePtr xml_node,
                                                 void (*callback) (CongDocumentTraversal *doc_traversal,CongTraversalNode *traversal_node,gpointer user_data),
                                                 gpointer user_data);

TODO: Write me

`doc_traversal` : |
`xml_node` : |
`callback` : |
`user_data` : |

### cong_document_traversal_has_traversal_node_for_node ()

    gboolean    cong_document_traversal_has_traversal_node_for_node
                                                (CongDocumentTraversal *doc_traversal,
                                                 CongNodePtr node);

`doc_traversal` : |
`node` : |
Returns : |

### cong_document_traversal_get_traversal_node ()

    CongTraversalNode* cong_document_traversal_get_traversal_node
                                                (CongDocumentTraversal *doc_traversal,
                                                 CongNodePtr xml_node,
                                                 CongTraversalNode *traversal_parent);

TODO: Write me

`doc_traversal` : |
`xml_node` : |
`traversal_parent` : |
Returns : |

### cong_document_traversal_get_a_traversal_node ()

    CongTraversalNode* cong_document_traversal_get_a_traversal_node
                                                (CongDocumentTraversal *doc_traversal,
                                                 CongNodePtr xml_node);

TODO: Write me

`doc_traversal` : |
`xml_node` : |
Returns : |

## Signals

### The "traversal-node-added" signal

    void        user_function                  (CongDocumentTraversal *congdocumenttraversal,
                                                gpointer arg1,
                                                gpointer user_data);

`congdocumenttraversal` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "traversal-node-removed" signal

    void        user_function                  (CongDocumentTraversal *congdocumenttraversal,
                                                gpointer arg1,
                                                gpointer user_data);

`congdocumenttraversal` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.